System.ServiceModel 4.0.0.0 System.ServiceModel.ServiceContract(Name="IMetadataExchange", Namespace="http://schemas.microsoft.com/2006/04/mex")

When programming indigo1 services, it is useful to publish metadata about the service. For example, metadata can be a Web Services Description Language (WSDL) document that describes all of the methods and data types employed by a service. Returning metadata about an indigo2 service allows consumers of a service to easily create clients for the service. For more information about indigo2 metadata endpoints, see Metadata.

Services implemented using indigo2 publish metadata by exposing one or more metadata endpoints. Metadata endpoints in indigo2 have an address, a binding and a contract like any other endpoint. The interface specifies the service contract implemented by all metadata endpoints in indigo2.

There is no need to implement the contract in your service implementation. Instead, add the to the service description.

Or, when using configuration, set the contract attribute of the endpoint element to IMetadataExchange. For an example, see How to: Publish Metadata for a Service Using a Configuration File.

For details on publishing metadata in indigo2 see Publishing Metadata.

Exposes methods used to return metadata about a service.

- Method
  4.0.0.0
  System.ServiceModel.OperationContract(Action="http://schemas.xmlsoap.org/ws/2004/09/transfer/Get", AsyncPattern=true, ReplyAction="http://schemas.xmlsoap.org/ws/2004/09/transfer/GetResponse")
  System.IAsyncResult `` `` `` To be added.

  Starts an asynchronous retrieval of metadata.

  An that can be passed to the method.

  A that should be processed to determine the metadata to return. An that points to the method that will process the metadata. Any data which allows the caller to determine which asynchronous call is being returned.
- Method
  4.0.0.0
  System.ServiceModel.Channels.Message `` To be added.

  Concludes the retrieval of metadata.

  A containing the processed metadata.

  An that contains data used to further process the metadata.
- Method
  4.0.0.0
  System.ServiceModel.OperationContract(Action="http://schemas.xmlsoap.org/ws/2004/09/transfer/Get", AsyncPattern=false, ReplyAction="http://schemas.xmlsoap.org/ws/2004/09/transfer/GetResponse")
  System.ServiceModel.Channels.Message `` To be added.

  Returns the service metadata.

  A containing the metadata.

  A that contains the request for metadata.